image: "node:18.14.0"
stages:
  - install
  - build
  - build_docker_image

# add test Eslint with yarn eslint

cache:
  paths:
    - node_modules/
    - dist/

install:
  stage: install
  script:
    - yarn install

build:
  needs:
    - install
  stage: build
  script:
    - yarn build
  artifacts:
    paths:
      - node_modules/

build_docker_image:
  needs:
    - build
  stage: build_docker_image
  image: docker:latest
  services:
    - docker:dind
  script:
    - docker login -u $DOCKER_HUB_USERNAME -p $DOCKER_HUB_SECRET
    - docker build -t jrmbnt/ipi_cicd-example:latest .
    - docker push $DOCKER_HUB_USERNAME/ipi_cicd-example:latest

  artifacts:
    paths:
      - dist/